# Generated from:
#    12FEBpl1.3.tar.gz
#  from ftp://ftp.eso.org/pub/midaspub/12FEB/sources
# Requires:
#  vi .rpmmacros
#     %_topdir /diskb/RPMBUILD
#
# Installation can be done by hand:
#    mkdir -p /usr/local/midas
#    cd /diskb/RPMBUILD/SOURCES
#    tar xzf 13SEPpl1.2.tar.gz
#    cd 13SEPpl1.2/install/unix
#    ./autoconfig
#   rpmbuild -bp dfs-midas.spec  # Executes the prep stage
#   rpmbuild -bc dfs-midas.spec  # Executes the build stage (after prep)
#   rpmbuild -bi dfs-midas.spec  # Executes the install stage (after build)
#   rpmbuild -bb dfs-midas.spec  # Generates the binary RPM
#   rpmbuild -ba dfs-midas.spec  Generates binary and source RPMS

# Define _prefix as //usr/local/midas
# Do not stript executables
%define _prefix  /usr/local/midas

# Disable debuginfo 
%define debug_package %{nil}
#%define __os_install_post %{nil}

# Set __arch_install_post to nil to disable check-rpmbuild after install, 
# which causes error due to hardcoded BUILDROOT paths in *.sh and executables
%define __arch_install_post %{nil}

%define shortname 13SEPpl
%define version 1.2

Summary:  MIDAS Data Reduction System
Name: eso-midas-13SEPpl
Version: %{version}
Release: 1%{?dist}
License: European Southern Observatory
Group: Development/Languages
URL:  ftp://ftp.eso.org/pub/midaspub/13SEP/sources/13SEPpl1.1.tar.gz
Source: 13SEPpl1.2.tar.gz
#BuildRequires: lesstif-devel,compat-gcc-34-g77,gcc-gfortran 
Packager: Carlos Guirao
Provides: %{name}
BuildRoot: %{_tmppath}/%{shortname}-%{version}-%{release}-root
#Requires: 

%description
The ESO-MIDAS system provides general tools for image processing and data reduction with emphasis on astronomical applications including imaging and special reduction packages for ESO instrumentation at La Silla and the VLT at Paranal. In addition it contains applications packages for stellar and surface photometry, image sharpening and decomposition, statistics and various others. 

%prep
%setup -q -n %{shortname}%{version}

%build
cd install/unix
echo "y" | ./autoconfig

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/midas/%{shortname}%{version}
mv * $RPM_BUILD_ROOT/usr/local/midas/%{shortname}%{version}
cd $RPM_BUILD_ROOT
mkdir -p usr/local/bin
mkdir -p etc/ld.so.conf.d
echo "%{_prefix}/%{shortname}%{version}/lib" > etc/ld.so.conf.d/midas.conf
cat etc/ld.so.conf.d/midas.conf
chmod 755 etc/ld.so.conf.d/midas.conf
cd usr/local/midas/%{shortname}%{version}/system/unix
for script in inmidas helpmidas 
do
  ed $script << EOF >/dev/null 2>&1
1
/^MIDASHOME0
s/=.*/=\/usr\/local\/midas
w
q
EOF
done
cd $RPM_BUILD_ROOT/usr/local/bin
for COMMAND in inmidas gomidas helpmidas drs nmgrep
do
  ln -s /usr/local/midas/%{shortname}%{version}/system/unix/$COMMAND
done


%files
%defattr (-,root,root, -)
%{_prefix}/%{shortname}%{version}
%config /etc/ld.so.conf.d/midas.conf
/usr/local/bin

%clean
rm -fr $RPM_BUILD_ROOT

%post
ldconfig

%changelog
* Wed Jan 15 2014 Carlos Guirao <cguirao@eso.org>
- Release 13SEPpl1.2

* Mon Jun 25 2012 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
